port: 4222

monitor_port: 8222

accounts {
    ADMIN: {
        users: [{nkey: $ADMIN_NKEY}]
    },
    CLIENT: {
        users: [{nkey: $CLIENT_NKEY}],
        jetstream: enabled
    }
}

system_account: ADMIN

jetstream {
    store_dir=/data
    domain=nats-supercluster
}

tls {
    cert_file: "/etc/nats-certs/nats.pem"
    key_file: "/etc/nats-certs/nats.key"
    ca_file: "/etc/nats-certs/ca.pem"
}

cluster {
    name: "clusterA"
    port: 6222
    routes: [
        "nats://nats-1-clusterA:6222",
        "nats://nats-2-clusterA:6222",
        "nats://nats-3-clusterA:6222",
    ]
    tls {
        cert_file: "/etc/nats-certs/nats.pem"
        key_file: "/etc/nats-certs/nats.key"
        ca_file: "/etc/nats-certs/ca.pem"
    }
}

gateway {
    name: "clusterA"
    port: 7222
    gateways: [
        {
            name: "clusterB", url: "nats://nats-3-clusterB:7222"
        }
    ]
    tls {
        cert_file: "/etc/nats-certs/nats.pem"
        key_file: "/etc/nats-certs/nats.key"
        ca_file: "/etc/nats-certs/ca.pem"
    }
}